cloneStaticSiteFromGit:
  enabled: true
  repository: "https://code.estradiol.cloud/tamsin/estradiol.cloud.git"
  branch: trunk
  gitClone:
    command:
    - /bin/bash
    - -ec
    - |
      [[ -f "/opt/bitnami/scripts/git/entrypoint.sh" ]] && source "/opt/bitnami/scripts/git/entrypoint.sh"
      git clone {{ .Values.cloneStaticSiteFromGit.repository }} --no-checkout --branch {{ .Values.cloneStaticSiteFromGit.branch }} /tmp/app
      [[ "$?" -eq 0 ]] && cd /tmp/app && git sparse-checkout init --cone && git sparse-checkout set public && git checkout && shopt -s dotglob && rm -rf /app/* && mv /tmp/app/* /app/
ingress:
  enabled: true
  hostname: estradiol.cloud
  ingressClassName: nginx
  tls: true
  annotations: {
    cert-manager.io/cluster-issuer: letsencrypt-prod
  }
serverBlock: |-
  server {
    listen 8080;
    root /app/public;
    index index.html;
  }
service:
  type: ClusterIP
